Bug 1128398 - [RFE][horizon]: Hide L3 router panel by configuration
Summary: [RFE][horizon]: Hide L3 router panel by configuration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: Upstream M3
: 6.0 (Juno)
Assignee: Matthias Runge
QA Contact: Ido Ovadia
URL: https://blueprints.launchpad.net/hori...
Whiteboard: upstream_milestone_juno-3 upstream_de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 04:04 UTC by RHOS Integration
Modified: 2015-03-23 06:10 UTC (History)
10 users (show)

Fixed In Version: python-django-horizon-2014.2-4.el7ost
Doc Type: Enhancement
Doc Text:
With this update, operators can now disable L3 Router features using dashboard configuration. Two new settings have been added to the OPENSTACK_NEUTRON_NETWORK parameter in the /etc/openstack-dashboard/local_settings file: * 'enable_router'. By default, "enable_router" is set to "True" because the router feature is enabled in most deployments. If "enable_router=False", the Router panel is hidden, and the 'Create Router' button as well as all routers are not displayed in the Network Topology map. * 'enable_floatingip'. This setting handles situations where the L3 router extension is not present or router features should be hidden from users. If "enable_floatingip=False", the "Floating IP" tab and "Associate/Disassociate Floating IP" menu in the Instances table are hidden. This setting is only valid for deployments with using OpenStack Networking (neutron).
Clone Of:
Environment:
Last Closed: 2015-02-09 14:56:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0154 normal SHIPPED_LIVE python-django-horizon enhancement advisory 2015-02-09 19:52:20 UTC

Description RHOS Integration 2014-08-10 04:04:05 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/horizon/+spec/hide-router-panel-by-config.

Description:

The goal of this blueprint is to allow operators to disable L3 Router features by configuration options.

Neutron setup allows operators not to enable Router feautre (by not using Router service plugin in neutron.conf) [bug 1292022],
and some Neutron plugin does not support Router feature [bug 1160580].

According to bug 1350639 there is also a case where operators want to disable Router panel from their policy.

Considering the above, it seems nice we have a option to control Router panel.

The proposed solutions are:

(1) Add a new config option 'enable_router' to OPENSTACK_NEUTRON_NETWORK.     
The default is True as router feature is enabled in most deployments and it is the current default behavior of Horizon.
If this option is False, Router panel will disappear.

(2) Network Topology panel shows routers in the topology map and also has "Create Router" button.
If "enable_router" set to False, routers in the topology map are not displayed now and "Create Router" button is not shown.

(3) Introduce "enable_floatingip" option to OPENSTACK_NEUTRON_NETWORK.
In Neutron, floating IP feature is provided by L3 router extension, so Floating IP feature also needs to be disabled in deployments without L3 router feature. On the other hand, there may be a case where operators just want not to provide router features to users. To handle this case, I think it is nice to have a separate option for "floating_ip".
This option only affects Neutron enabled setup. If this option is set to False, "Floating IP" tab and "Associate/Disassociate Floating IP" menu in the instance table are not shown.




Specification URL (additional information):

None

Comment 2 Matthias Runge 2014-11-24 13:58:11 UTC
how to test:
============
- enable/disable router panel in admin dashboard via config option
in /etc/openstack_dashboard/loca_settings:
locate:
OPENSTACK_NEUTRON_NETWORK and add
'enable_router': False,

systemctl restart httpd
should now hide router dashboards, and button to create a router in network overview.

Comment 5 errata-xmlrpc 2015-02-09 14:56:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0154.html


Note You need to log in before you can comment on or make changes to this bug.